---
name: "getPanelAgentConfigWakeUpWord"
mode: "api"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.6" }
---

## getPanelAgentConfigWakeUpWord

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.6

> 💡 This API relies on cloud capabilities. Configure authorization in the [Mini App Developer Platform](https://platform.tuya.com/miniapp/) under Development Settings - Cloud Capabilities.

### Description

Get the wake word.

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `GetPanelAgentConfigWakeUpWordParams` | Yes | Request body |

### Return Value

Type: `Promise<string>`

GetPanelAgentConfigWakeUpWordResult (see type definitions and minituya response parameters for field meanings)

### Referenced Types

##### `interface` GetPanelAgentConfigWakeUpWordParams

| Property | Type | Description |
| --- | --- | --- |
| `devId` | `string` | Device ID |


### Examples

#### Request example

```typescript
import { getPanelAgentConfigWakeUpWord } from '@tuya-miniapp/cloud-api';

const params = {
  devId: 'your_device_id',
};

getPanelAgentConfigWakeUpWord(params)
  .then(result => {
    console.log('Wake word:', result);
  })
  .catch(error => {
    console.error('Failed to get wake word:', error);
  });
```

#### Response example

```json
"Xiaomei Xiaomei"
```
